
#include <SoftwareSerial.h>

#define RX PA0
#define TX PA1
#define BUFFER_SIZE 25


SoftwareSerial serialPort(RX,TX);

void setup() {    
  CLKPR = (1 << CLKPCE);
  CLKPR = (0 << CLKPS3) | (0 << CLKPS2) | (0 << CLKPS1) | (0 << CLKPS0);

  serialPort.begin(115200);
  serialPort.flush();
  serialPort.print("hello_serial_arduino: starting");
}  
  
int i = 0;
char ch;
char buffer[BUFFER_SIZE];
 
void loop() {  
  
  if (serialPort.available()) {
    ch = serialPort.read();
    buffer[i++] = ch;
    buffer[i] = 0;
    serialPort.print("hello_serial_arduino: ");
    serialPort.print(buffer);
    serialPort.print("\n");
    if (i == BUFFER_SIZE - 1) {
      i = 0;
    }
  }
}

